[LinuxBIOS] Probable fix for gcc4 builds

Luis Correia luis.f.correia at gmail.com
Wed Feb 7 10:48:45 CET 2007


this is completely untested!

I got this hint from the syslinux mailing list regarding building on newer
distros, maybe this helps building linuxbios.

For newer distro's (like ubuntu 6.10, FC5+), syslinux build fails due to gcc
4. Here is a patch to get it to build properly.

The only thing it does is add -fno-stack-protection to CFLAGS in all the

Source: (Ram Yalamanchili)

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.coreboot.org/pipermail/coreboot/attachments/20070207/3d04de9c/attachment.html>

More information about the coreboot mailing list